Subject: bug#12106: 24.1; be able to prevent `help-make-xrefs' from creating a cross ref

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 07 May 2022 12:47:24 +0200

"Drew Adams" <[email-masked]> writes:

> I would like some easy way to prevent `help-make-xrefs' from turning a
> given `...' into a cross reference (link).

Yes, that would be nice.

> "\\(\\<\\(\\(variable\\|option\\)\\|\\(function\\|command\\)\\|\
> \\(face\\)\\|\\(symbol\\|program\\|property\\)\\|\
> \\(source \\(?:code \\)?\\(?:of\\|for\\)\\)\\)[  \n]+\\)?\
> [^\\]`\\(\\sw\\(\\sw\\|\\s_\\)+\\)'"
> ^^^^^
> I.e., just let a backslash escape `...' from linking.  But that
> puts a `\' in the output buffer as well.  (Perhaps it could be
> made invisible?)

I've now introduced a new \+ syntax for this in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no